#include<bits/stdc++.h>
using namespace std;
namespace ye
{
	
void solve()
{
	cout<<"1 1"<<endl;
	cout<<"1 1"<<endl;
	cout<<"1 2"<<endl;
	cout<<"2 1 2"<<endl;
	cout<<"1 1"<<endl;///goodbye OI I'll miss you!!!!!!!!!!!  thank you.
	
}
}
signed main()
{
	freopen("meow.in","r",stdin);
	freopen("meow.out","w",stdout);
	ye::solve();
	return 0;
}
